import request from '@/utils/request'

const baseUrl = '/api/service-ai-eis-test-center-eistest'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

// autotestconfig/credel-container  容器上下架
export function CredelContainer(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/autotestconfig/credel-container',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /api/v1/route/carry/createTaks  //发起搬运任务

export function CreateTaks(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: '/api/service-ai-eis-route-center-eistest' + '/api/v1/route/carry/createTask',
    method: 'post',
    data: params,
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/autotestconfig/add-AutoTestConfig',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/autotestconfig/modify-AutoTestConfig',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/autotestconfig/deleted-AutoTestConfig',
    method: 'get',
    //   data: params,
    params: params,
  })
}
// 故障信息 GET

export function deviceInfo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/deviceInfo/sel-malfunction',
    method: 'get',
    //   data: params,
    params: params,
  })
}
